package com.zt.plat.module.qms.iot.tcpserver.core;

/**
 * <b>WeightUnit</b>
 * 重量单位
 * <p>
 * 更新历史：
 * <pre> 版本         更新时间            更新者        更新内容<hr/>
 * V1.0      2019年9月24日          王兴荣         Add</pre>
 * <b>Copyright (C)  云南志者竟成科技有限公司</b> 
 * <p>
 * @author 王兴荣 &lt;xingrong_wang@will-way.cn&gt;
 * @version V1.0 
 * @since 2019年9月24日
 */
public enum WeightUnit {
    
    T("t", "吨"),
    KG("Kg", "千克"),
    G("g", "克"),
    MG("mg", "毫克"),
    CT("ct", "克拉");

    /** 单位名称 **/
    private String name;
    
    /** 描述 **/
    private String desc;
    
    private WeightUnit(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }
    
    /**
     * 根据单位名称获取枚举
     * @param name 单位名称：kg、g
     * @return
     */
    public static WeightUnit getByName(String name) {
        WeightUnit[] values = WeightUnit.values();
        for (WeightUnit weightUnit : values) {
            if (weightUnit.getName().equalsIgnoreCase(name)) {
                return weightUnit;
            }
        }
        return null;
    }
}
